Summary: The Motif runtime components.
Name: motif
Version: 2.3.8
Release: 11%{?dist}1a
Prefix: /opt/X11
BuildRoot: %{_tmppath}/%{name}-%{version}-root
License: GNU LESSER GENERAL PUBLIC LICENSE
Group: User Interface/X
Url: http://sourceforge.net/projects/motif/
#Source: ftp://ftp.ics.com/pub/Products/Motif/om2.2.3/src/openMotif-%{version}.tar.gz
Source: motif-%{version}.tar.gz
Patch0: motif-2.3.6-osx.patch
Patch1: motif-2.3.4-bindings.patch
Patch2: motif-2.3.8-macosx12.patch

#BuildPrereq: build-essential XOrg-devel flex byacc
Obsoletes: %{name}-devel < 2.2.2-0vl5
Obsoletes: openMotif <= 2.3.3
Conflicts: lesstif-clients lesstif-mwm
#BuildPrereq: automake14

Provides: openMotif = %{version}-%{release}

#BuildArch: fat
Vendor:       OSX WorkShop
Distribution: OSX WorkShop

%description
The base package for the industry standard
user interface toolkit for the X Window
System as enhanced by ICS and others for
better integration with GNOME and KDE desktop
environments.  The base package consists of
the Open Motif runtime components --
shared libraries and mwm (Motif Window Manager).

%package devel
Summary: The Open Motif development libraries and tools.
Group: Development/Libraries
Requires(pre,post): %{name} = %{version}-%{release}
Obsoletes: openMotif-devel <= 2.3.3
Conflicts: lesstif lesstif-devel lesstif-static
Provides: openMotif-devel = %{version}-%{release}

%description devel
The development package includes all of the
Open Motif header files, archive libraries,
the UIL (User Interface Language) compiler,
examples and ICS enhancements for greater
integration with GNOME and KDE desktop
environments.

#%package demos
#Summary: Open Motif example code and demo programs.
#Group: Development/Libraries
#Requires: %{name} = %{version}-%{release}
#
#%description demos
#This is the Open Motif example code and demo programs.

%prep
%setup -q
#%patch0 -p0 -b .osx

for i in `grep -rl -e"-fno-tree-ter" *`
do
	perl -pi -e 's@ -fno-tree-ter@@g' $i
done

glibtoolize --force --automake
aclocal -I .
autoconf
autoheader
automake --foreign  --include-deps --add-missing

%patch1 -p1 -b .bindings
%patch2 -p1 -b .macosx12

%build
export CXX=clang++
export CC=clang
export CPPFLAGS="-I%{_includedir} -L%{_libdir}"
%ifarch x86_64
export CFLAGS="-O3 -arch x86_64 -mtune=core2 -Wno-error=implicit-function-declaration -I%{_includedir} -L%{_libdir}"
%else
export CFLAGS="-O3 -Wno-error=implicit-function-declaration -I%{_includedir} -L%{_libdir}"
%endif
export CXXFLAGS="$CFLAGS"
export FFLAGS="$CFLAGS"

%configure \
	--prefix=%{prefix} \
	--libdir=%{prefix}/%{_lib} \
	--mandir=%{_datadir}/man \
	--enable-xft \
	--enable-jpeg --enable-png \
#	--host=%{_rpm_platform64} \
#	--build=%{_rpm_platform64} \
#	--target=%{_rpm_platform64}

# do not use rpath
perl -pi -e 's|hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=\"-L\\\$libdir\"|g;' libtool
%ifarch x86_64
perl -pi -e 's@-dynamiclib@-dynamiclib -arch x86_64@g' libtool
%endif

export DYLD_LIBRARY_PATH=`pwd`/lib/Mrm/.libs:`pwd`/lib/Xm/.libs
make clean
make

%install
rm -rf %{buildroot}
export LD_LIBRARY_PATH=`pwd`/lib/Mrm/.libs:`pwd`/lib/Xm/.libs
make DESTDIR=%{buildroot} prefix=%{_prefix} install

# install
mkdir -p %{buildroot}%{prefix}/include
pushd %{buildroot}%{prefix}/include
ln -s %{_includedir}/Xm .
ln -s %{_includedir}/Mrm .
ln -s %{_includedir}/uil .
popd
rm -f %{buildroot}%{_libdir}/lib*.la
rm -f %{buildroot}%{prefix}/lib/lib*.la
rm -rf %{buildroot}%{_mandir}/manm
rm -rf %{buildroot}%{_datadir}/Xm


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root,wheel) 
%doc BUGREPORT COPYING ChangeLog INSTALL.configure README RELEASE RELNOTES
#%{prefix}/bin/mwm
#%{prefix}/bin/xmbind
#%{prefix}/bin/uil
%{_bindir}/mwm
%{_bindir}/xmbind
%{_bindir}/uil
%{_includedir}/X11/bitmaps/*
%{prefix}/share/X11/bindings
%{prefix}/lib/libMrm.*.dylib
%{prefix}/lib/libUil.*.dylib
%{prefix}/lib/libXm.*.dylib
%{prefix}/lib/X11/system.mwmrc
%{_mandir}/man1/mwm.*
%{_mandir}/man1/xmbind.*
%{_mandir}/man4/*

%files devel
%defattr(-, root, wheel)
%{prefix}/lib/libXm.dylib
%{prefix}/lib/libMrm.dylib
%{prefix}/lib/libUil.dylib
%{prefix}/lib/*.a
%{prefix}/include/Mrm
%{prefix}/include/Xm
%{prefix}/include/uil
%{_includedir}/Xm
%{_includedir}/Mrm
%{_includedir}/uil
%{_mandir}/man1/uil.*
%{_mandir}/man3/*
%{_mandir}/man5/*

#%files demos
#%defattr(-,root,wheel)
#%{prefix}/bin/DNDDemo
#%{prefix}/bin/airport
#%{prefix}/bin/autopopups
#%{prefix}/bin/bboxdemo
#%{prefix}/bin/colordemo
#%{prefix}/bin/column
#%{prefix}/bin/draw
#%{prefix}/bin/dropdown
#%{prefix}/bin/earth
#%{prefix}/bin/filemanager
#%{prefix}/bin/fileview
#%{prefix}/bin/fontsel
#%{prefix}/bin/getsubres
#%{prefix}/bin/helloint
#%{prefix}/bin/hellomotif
#%{prefix}/bin/i18ninput
#%{prefix}/bin/iconbuttondemo
#%{prefix}/bin/multilist
#%{prefix}/bin/outline
#%{prefix}/bin/paned
#%{prefix}/bin/panner
#%{prefix}/bin/periodic
#%{prefix}/bin/piano
#%{prefix}/bin/sampler2_0
#%{prefix}/bin/setDate
#%{prefix}/bin/simpledrop
#%{prefix}/bin/tabstack
#%{prefix}/bin/todo
#%{prefix}/bin/tooltips
#%{prefix}/bin/tree
#%{prefix}/bin/wsm
#%{prefix}/bin/xmanimate
#%{_datadir}/Xm/*

%changelog
* Fri Apr 1 2022 Keisuke FUJII <keisuke.fujii@kek.jp> 2.3.8-1a
- 1st build on MacOS 11 for Intel Macs
- built with OSXWS 11 and clang

* Sun Dec 22 2019 KOBAYASHI Taizo <tkoba965@mac.com> 2.3.8-1
- new upstream release

* Thu Dec 22 2016 KOBAYASHI Taizo <tkoba965@mac.com> 2.3.6-1
- new upstream release

* Thu May 29 2014 KOBAYASHI Taizo <tkoba965@mac.com> 2.3.4-1
- first build
